#! /bin/sh
# Script v2 - support version 59.x MZD / 18.05.2017

# variable local path
MYDIR=$(dirname "$(readlink -f "$0")")

show_message()
{
	sleep 5
	killall jci-dialog
	/jci/tools/jci-dialog --info --title="Corwin9s's Theme" --text="$*" --no-cancel &
}

show_message "DISABLE WATCHDOG\n\nPlease wait..."

echo 1 > /sys/class/gpio/Watchdog\ Disable/value
mount -o rw,remount /

show_message "BACKGROUND COPY\n\nPlease wait..."
# change background image 800x480
cp ${MYDIR}/background/background.png /jci/gui/common/images/

killall jci-dialog
# the "Theme Applied" window will appear asking to reboot
/jci/tools/jci-dialog --title="Corwin9s's Theme" --text="Theme applied !\n\nReboot the MZD" --ok-label='OK' --no-cancel &

### sleep 10
### killall jci-dialog

if [ $? = 0 ]; then
    reboot
    exit
else
    killall jci-dialog
fi